summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Buckley-Houston <tom@tombh.co.uk>2018-06-11 15:49:30 +0800
committerThomas Buckley-Houston <tom@tombh.co.uk>2018-06-11 16:12:24 +0800
commit2273146c37c1d8f79d8ef7824072bdf277744fe0 (patch)
treed2a3af727c32e18a2f78672623b8ba2d18c8da2b
parent47bcbbc0a68a12e5dd11f0ac9c1b5db3a21a4d78 (diff)
Debugging the build and release processv1.0.7
Unfortunately this needs a version bump
-rw-r--r--interfacer/src/browsh/firefox.go2
-rw-r--r--interfacer/test/http-server/setup.go3
-rwxr-xr-xwebext/contrib/bundle_webextension.sh6
-rw-r--r--webext/manifest.json2
4 files changed, 10 insertions, 3 deletions
diff --git a/interfacer/src/browsh/firefox.go b/interfacer/src/browsh/firefox.go
index 84a7890..4061437 100644
--- a/interfacer/src/browsh/firefox.go
+++ b/interfacer/src/browsh/firefox.go
@@ -158,7 +158,7 @@ func installWebextension() {
if err != nil {
Shutdown(err)
}
- file, err := ioutil.TempFile(os.TempDir(), "prefix")
+ file, err := ioutil.TempFile(os.TempDir(), "browsh-webext-addon")
defer os.Remove(file.Name())
ioutil.WriteFile(file.Name(), []byte(data), 0644)
args := map[string]interface{}{"path": file.Name()}
diff --git a/interfacer/test/http-server/setup.go b/interfacer/test/http-server/setup.go
index cf25642..51c60f1 100644
--- a/interfacer/test/http-server/setup.go
+++ b/interfacer/test/http-server/setup.go
@@ -55,6 +55,9 @@ var _ = ginkgo.BeforeSuite(func() {
go startStaticFileServer()
go startBrowsh()
time.Sleep(10 * time.Second)
+ // Allow the browser to sort its sizing out, because sometimes the first test catches the
+ // browser before it's completed its resizing.
+ getPath("/smorgasbord")
})
var _ = ginkgo.AfterSuite(func() {
diff --git a/webext/contrib/bundle_webextension.sh b/webext/contrib/bundle_webextension.sh
index 2a54f2a..5dea2e2 100755
--- a/webext/contrib/bundle_webextension.sh
+++ b/webext/contrib/bundle_webextension.sh
@@ -45,11 +45,15 @@ fi
cp -f $source_file $bundle_file
-echo "Bundling $source_file to $destination..."
+echo "Bundling $source_file to $destination using internal path $bundle_file"
+go-bindata -version
go-bindata \
-nocompress \
-prefix $PROJECT_ROOT \
-pkg browsh \
-o $destination \
$bundle_file
+
+ls -alh $PROJECT_ROOT/interfacer/src/browsh/webextension.go
+echo "go-bindata exited with $(echo $?)"
diff --git a/webext/manifest.json b/webext/manifest.json
index d72d0f5..7ebcf8e 100644
--- a/webext/manifest.json
+++ b/webext/manifest.json
@@ -1,7 +1,7 @@
{
"manifest_version": 2,
"name": "Browsh",
- "version": "1.0.5",
+ "version": "1.0.7",
"description": "Renders the browser as realtime, interactive, TTY-compatible text",